##### basic_raw_socket::basic_raw_socket (4 of 10 overloads)

Construct and open a `basic_raw_socket`.

    template<
        typename ExecutionContext>
    basic_raw_socket(
        ExecutionContext & context,
        const protocol_type & protocol,
        typename enable_if< is_convertible< ExecutionContext &, execution_context & >::value >::type *  = 0);

This constructor creates and opens a raw socket.

###### Parameters

context

  An execution context which provides the I/O executor that the socket will use, by default, to dispatch handlers for any asynchronous operations performed on the socket.

protocol

  An object specifying protocol parameters to be used.

###### Exceptions

asio::system_error

  Thrown on failure.